Loading...
Searching...
No Matches
byteswap.ipp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | uhd

## Functions

template<typename T>
UHD_INLINE T | uhd::ntohx (T num)
| network to host: short, long, or long-long
template<typename T>
UHD_INLINE T | uhd::htonx (T num)
| host to network: short, long, or long-long
template<typename T>
UHD_INLINE T | uhd::wtohx (T num)
| worknet to host: short, long, or long-long
template<typename T>
UHD_INLINE T | uhd::htowx (T num)
| host to worknet: short, long, or long-long